summaryrefslogtreecommitdiff
path: root/tests/chgrp/recurse
diff options
context:
space:
mode:
Diffstat (limited to 'tests/chgrp/recurse')
-rwxr-xr-xtests/chgrp/recurse10
1 files changed, 5 insertions, 5 deletions
diff --git a/tests/chgrp/recurse b/tests/chgrp/recurse
index 9f9587bf3..95a910f6c 100755
--- a/tests/chgrp/recurse
+++ b/tests/chgrp/recurse
@@ -32,22 +32,22 @@ ln -s ../e d/s
chgrp -R $g1 e/ee || fail=1
# This should not should change the group of e/ee
chgrp -R $g2 d
-set _ `ls -ln e/ee`; g=$5; test "$g" = $g1 || fail=1
+set _ $(ls -ln e/ee); g=$5; test "$g" = $g1 || fail=1
# This must change the group of e/ee, since -L makes
# chgrp traverse the symlink from d/s into e.
chgrp -L -R $g2 d
-set _ `ls -ln e/ee`; g=$5; test "$g" = $g2 || fail=1
+set _ $(ls -ln e/ee); g=$5; test "$g" = $g2 || fail=1
# This must *not* change the group of e/ee
chgrp -H -R $g1 d
-set _ `ls -ln e/ee`; g=$5; test "$g" = $g2 || fail=1
+set _ $(ls -ln e/ee); g=$5; test "$g" = $g2 || fail=1
ln -s d link
# This shouldn't change the group of e/ee either.
chgrp -H -R $g1 link || fail=1
-set _ `ls -ln e/ee`; g=$5; test "$g" = $g2 || fail=1
+set _ $(ls -ln e/ee); g=$5; test "$g" = $g2 || fail=1
# But it *should* change d/dd.
-set _ `ls -ln d/dd`; g=$5; test "$g" = $g1 || fail=1
+set _ $(ls -ln d/dd); g=$5; test "$g" = $g1 || fail=1
Exit $fail